Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
JoinCursor..::.Close Method
JoinCursor Class See Also Send Feedback

Discard the cursor.

It is possible for the Close() method to throw a DeadlockException, signaling that any enclosing transaction should be aborted. If the application is already intending to abort the transaction, this error should be ignored, and the application should proceed.

After Close has been called, regardless of its result, the object may not be used again.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Close()

Visual Basic (Declaration)
    Public Sub Close

Visual C++
    public:
    void Close()

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.DeadlockException |

# See Also

JoinCursor Class
BerkeleyDB Namespace